>From 239fa5bb8fd0ad143a0f0336fef8c9a825d37419 Mon Sep 17 00:00:00 2001
From: Ionut Biru <ionut@archlinux.ro>
Date: Thu, 11 Feb 2010 23:00:36 +0200
Subject: [PATCH] fixed detection of CONSOLEFONT and enabled all *gz fonts

Signed-off-by: Ionut Biru <ionut@archlinux.ro>
---
 hooks/consolefont   |    4 ++--
 install/consolefont |    9 +++++----
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/hooks/consolefont b/hooks/consolefont
index f35869e..a1e8ba7 100644
--- a/hooks/consolefont
+++ b/hooks/consolefont
@@ -2,9 +2,9 @@
 
 run_hook ()
 {
-    if [ -e /consolefont.psfu ]; then
+    if [ -e /consolefont.font]; then
         msg -n ":: Loading console font..."
-        /usr/sbin/setfont -C /dev/console /consolefont.psfu
+        /usr/sbin/setfont -C /dev/console /consolefont.font
         msg "done."
     fi
 }
diff --git a/install/consolefont b/install/consolefont
index 67777b8..3143e14 100644
--- a/install/consolefont
+++ b/install/consolefont
@@ -6,14 +6,15 @@ install ()
     BINARIES=""
     FILES=""
     SCRIPT="consolefont"
+    eval "$(grep -e "^CONSOLEFONT=" /etc/rc.conf)"
     if [ -n "$CONSOLEFONT" ]; then
-        CONSOLEFONT_FILE_GZ="/usr/share/kbd/consolefonts/$CONSOLEFONT.psfu.gz"
+        CONSOLEFONT_FILE_GZ="/usr/share/kbd/consolefonts/$CONSOLEFONT.*.gz"
         if [ -e ${CONSOLEFONT_FILE_GZ} ]; then
-            CONSOLEFONT_FILE="$(mktemp ${TMPDIR}/consolefont.psfu.XXXXXX)"
+            CONSOLEFONT_FILE="$(mktemp ${TMPDIR}/consolefont.font.XXXXXX)"
             zcat ${CONSOLEFONT_FILE_GZ} > ${CONSOLEFONT_FILE}
-            add_file ${CONSOLEFONT_FILE} /consolefont.psfu
+            add_file ${CONSOLEFONT_FILE} /consolefont.font
         else
-            echo "consolefont: Font file does not exist or does not end with .psfu.gz"
+            echo "consolefont: Font file does not exist or does not end with .gz"
             echo "consolefont: Only unicode fonts are supported at the moment."
         fi
     fi
-- 
1.6.6.1

